Subject: bug#24060: Test (tests/publish.scm) still fails after fix

From: [email-masked] (Ludovic Courtès)
Date: Sat, 30 Jul 2016 11:16:51 +0200

Chris Marusich <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Is this new failure systematic, or does it occur randomly?
>
> I've tried running the test over 100 times, and it failed every time.
> I've also tested it in a QEMU guest running GuixSD, and it still fails.
> I will see if I can reproduce it on a totally different physical
> computer and get back to you.

Oh.  Weird because ‘guix build guix’ doesn’t have this problem AFAICS.

>> I wonder if this could be a remnant of <http://bugs.gnu.org/19610>.
>> Does commenting out the “/nar/gzip/*” test hide the problem?
>
> Commenting out that test-equals section did not hide the problem.

Could you also comment out "/*.narinfo with compression" and see?
We need to find out which of the tests triggers the Guile crash; it’s
most likely one of the recently-added tests.

Thanks,
Ludo’.